.\"
.\" $Id$
.\"
.TH SEAFOOD n "July 28, 1998"
.if t .ds ' \h@.05m@\s+4\v@.333m@\'\v@-.333m@\s-4\h@.05m@
.if n .ds ' '
.if t .ds ` \h@.05m@\s+4\v@.333m@\`\v@-.333m@\s-4\h@.05m@
.if n .ds ` `
.ds OK [\|
.ds CK \|]
.SH NAME
cm \- generate statistics from squid access logfiles.
.SH SYNOPSIS
.B cm
[-d\~lv] [-s] [-D\~dn] [-N\~nr] logfile[.gz]
.PP
.B cm
[-d\~lv] [-s] [-D\~dn] [-N\~nr] < logfile
.SH DESCRIPTION
.B cm
is a re-implementation of the famous perl script
.I calamaris
in C++.
.I calamaris
allows you to extract data of stastical value from the
.I access.log
files which a squid power webcache generates.
.SH OPTIONS
.TP
.B \-D dn
helps you to limit your statistical data to a subset of domains. You can
either use the quote syntax of your shell to hand over more than one
space separated domain. You need to include the dot in front of the domain
for a reliable match. It is allowable to use second-level and even more
specific domains. Please note that using this feature will
.I considerably
slow down processing.
.IP
Default is to use every logline for the statistics.
.TP
.B \-N nr
specifies the size of the ringbuffer used for find the peak values. For
efficiency reasons, this buffer needs to be allocated at program start.
Please note that the number given here needs to be multiplied by 24 in
order to arrive at the memory consumption. Using a too small value will
result in incorrect peak values, which you will be warned about.
.IP
Default are 1000000 entries for the peak finder.
.TP
.B \-d lv
enables a set of debug messages according to the bit pattern of the 
supplied value. Debug messages will be printed on
.I stderr.
A bitvalue of 1 will report progress while processing. This is
effictively a
.I I
.I am
.I alive
indicator.
A bitvalue of 2 will report the contents of the DNS cache before
and after parsing the logfile.
A bitvalue of 4 will show the amount of time spent in the major
while loop.
.IP
Default is a production level (0).
.TP
.B \-s
shows all commandline options after they have been parsed.
.SH "EXIT STATUS"
.SH EXAMPLE
.SH BUGS
.SH FILES
.TP
.B ~/hosts
is a cache of all hosts encountered during processing, with the hope
of seeing a similar set of hosts during the next run. The format is
still compatible with
.I /etc/hosts
but that may change.
.IP
If the file exists during startup, the contents will be read in. Each
DNS lookup during processing is stored into an internal cache, which
will be dumped after processing.
.SH "SEE ALSO"
.PP
.TP 10
.B RFC 1738
Uniform Resource Locators (URL)
.TP 10
.B RFC 1945
Hypertext Tranfer Protocol -- HTTP/1.0
.TP 10
.B RFC 2068
Hypertext Tranfer Protocol -- HTTP/1.1
.PP
.B http://www.w3.org/

